%define		real_name	Net-DNS

Distribution:	CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		perl-%{real_name}
Version:	0.63
Release:	1
Summary:	DNS resolver modules for Perl
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		http://www.net-dns.org/
Source0:	http://www.cpan.org/authors/id/O/OL/OLAF/%{real_name}-%{version}.tar.gz
Patch0:		perl-Net-DNS-bz437681.patch
Requires:	perl
BuildRequires:	perl-Digest-HMAC
Buildrequires:	perl-Net-IP
BuildRequires:	perl-Test-Pod
BuildRequires:	perl-Digest-BubbleBabble

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}

BuildArch:	noarch

%description
Net::DNS is a collection of Perl modules that act as a Domain Name
System (DNS) resolver. It allows the programmer to perform DNS queries
that are beyond the capabilities of gethostbyname and gethostbyaddr.

The programmer should be somewhat familiar with the format of a DNS
packet and its various sections. See RFC 1035 or DNS and BIND (Albitz
& Liu) for details.

%prep
%setup -q -n Net-DNS-%{version} 
%patch0 -p1

%build
perl Makefile.PL %_prefix --online-tests
make

%install
rm -Rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# removing unwanted stuff
if [ -f $RPM_BUILD_ROOT%_libdir/perl5/*/*/perllocal.pod ]; then
	rm -f $RPM_BUILD_ROOT%_libdir/perl5/*/*/perllocal.pod
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README Changes TODO
%_libdir
%_mandir
%exclude %{_mandir}/man3/Net::DNS::Resolver::Cygwin.3*
%exclude %{_mandir}/man3/Net::DNS::Resolver::Win32.3*
%exclude %_libdir/perl5/*/*/*/Net/DNS/Resolver/Cygwin.pm
%exclude %_libdir/perl5/*/*/*/Net/DNS/Resolver/Win32.pm

%changelog
* Mon Apr 28 2008 Christian Wasem <wasem@ccux-linux.de> 0.63-1
- Initial Release
